module Krobotkin.Types where

import Network.Xmpp
import System.Random

data AppEnv = AppEnv
   { envXmppSess :: Session
   , envMucInfo  :: [MucInfo]
   }

data MucInfo = MucInfo
   { mucJid :: Jid
   , mucJidNick :: Jid
   }

data AppState = AppState
   { stateRNG :: StdGen
   }

data PackedStanza =
     BotPresence Jid PresenceType Presence
   | BotMessage Jid Jid String Message
   | BotIgnore

